Get cohort
curl --request GET \
--url https://api.example.com/api/v1/burn-in/cohorts/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/burn-in/cohorts/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/burn-in/cohorts/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/cohorts/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/cohorts/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/burn-in/cohorts/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/cohorts/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": 123,
"cohort_hash": "<string>",
"devices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"device_names": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"collection": "<string>",
"job": "<string>",
"parent": "<string>",
"children": "<string>",
"test_executions": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Burn-in
Get cohort
List, retrieve, create (bulk), and update cohorts.
Supports bulk creation with upsert semantics on cohort_hash.
GET
/
api
/
v1
/
burn-in
/
cohorts
/
{id}
/
Get cohort
curl --request GET \
--url https://api.example.com/api/v1/burn-in/cohorts/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/burn-in/cohorts/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/burn-in/cohorts/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/cohorts/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/cohorts/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/burn-in/cohorts/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/cohorts/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size": 123,
"cohort_hash": "<string>",
"devices": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"device_names": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"links": {
"self": "<string>",
"collection": "<string>",
"job": "<string>",
"parent": "<string>",
"children": "<string>",
"test_executions": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_cohort": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dest_device": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
A UUID string identifying this cohort.
Response
Serializer for Cohort model with embedded device IDs.
Human-readable name (e.g., 'wolf-a7b3k9x2m1')
Pattern:
^[-a-zA-Z0-9_]+$Number of devices in this cohort (denormalized for convenience, max 25000)
SHA-256 hash of (job_id, sorted(device_ids), parent_cohort_id) for idempotency
Serializer for cohort links.
Show child attributes
Show child attributes
Source device for pairwise tests (optional)
Destination device for pairwise tests (optional)